package org.telosys.tools.commons;


/**
 * Generic class providing logging methods
 * 
 * @author Laurent GUERIN
 *
 */
public abstract class GenericTool 
{
	private TelosysToolsLogger      _logger = null ;

	//----------------------------------------------------------------------------------
	public GenericTool(TelosysToolsLogger logger) {
		super();
		_logger = logger;
	}

	//----------------------------------------------------------------------------------
	protected final void log(Object object, String s) {
    	if ( _logger != null ) {
    		_logger.log(object, s);
    	}
	}
	
	//----------------------------------------------------------------------------------
	public final void log(String s) {
    	if ( _logger != null ) {
    		_logger.log(s);
    	}
	}

	//----------------------------------------------------------------------------------
	public final void logError(String s) {
    	if ( _logger != null ) {
    		_logger.error(s);
    	}
	}

	//----------------------------------------------------------------------------------
	public final void logInfo(String s) {
    	if ( _logger != null ) {
    		_logger.info(s);
    	}
	}
	
	//----------------------------------------------------------------------------------
	public final void logException (Throwable e) {
    	if ( _logger != null ) {
    		_logger.exception(e);
    	}
	}

	//----------------------------------------------------------------------------------
	public final void throwException (String msg) throws TelosysToolsException
	{
    	if ( _logger != null ) {
    		_logger.error(msg);
    	}
    	throw new TelosysToolsException(msg);
	}
	//----------------------------------------------------------------------------------
	public final void throwException (String msg, Throwable e) throws TelosysToolsException
	{
    	if ( _logger != null ) {
    		_logger.error(msg);
    	}
    	throw new TelosysToolsException(msg,e);
	}
	//----------------------------------------------------------------------------------
}
