package org.telosys.tools.commons;


public class Variable implements Comparable
{
	private String sVariableName;
	private String sVariableValue;
	
	/**
	 * Constructor
	 * @param name
	 * @param value
	 */
	public Variable( String name, String value ) 
	{
		super();
		sVariableName  = ( name  != null ? name.trim() : "" ) ;
		sVariableValue = ( value != null ? value : "" );
	}

	//------------------------------------------------------------

	public String getName() 
	{
		return sVariableName;
	}

	protected void setName(String name ) 
	{
		sVariableName = ( name != null ? name.trim() : "" ) ;
	}

	/**
	 * Returns the variable name between "${ and "}"
	 * @return
	 */
	public String getSymbolicName() 
	{
		return "${"+sVariableName+"}" ;
	}

	//------------------------------------------------------------
	
	public String getValue() 
	{
		return sVariableValue;
	}

	protected void setValue(String value ) 
	{
		sVariableValue = ( value != null ? value : "" );
	}

	//------------------------------------------------------------
	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	public int compareTo( Object o) 
	{
		if ( o instanceof Variable )
		{
			return this.getName().compareTo( ((Variable)o).getName() );
		}
		else
		{
			return 0 ;
		}
	}

}