package org.telosys.tools.commons.config;

import org.telosys.tools.commons.StrUtil;

public class DefaultClassNameProvider implements ClassNameProvider
{
	
	//-------------------------------------------------------------------------------------------------------
	/**
	 * @param sBeanClassName
	 * @param sClassNameExpr
	 * @return
	 */
	private String getClassName(String sBeanClassName, String sClassNameExpr )
	{
		if ( sBeanClassName != null && sClassNameExpr != null ) 
		{
			String s = sBeanClassName.trim();
			if (s.length() > 0) 
			{
				// Replace "${BEANNAME}" by s in the expression
				return StrUtil.replaceVar(sClassNameExpr, "${" + ConfigDefaults.BEANNAME + "}", s);
			}
		}
		return "";
	}

	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the VO List class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getVOListClassName(String sBeanClassName)
	{
		return getClassName ( sBeanClassName, ConfigDefaults.DEFAULT_LIST_CLASS_NAME );
	}

	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the DAO class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getDAOClassName(String sBeanClassName)
	{
		return getClassName ( sBeanClassName, ConfigDefaults.DEFAULT_DAO_CLASS_NAME );
	}

	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the Xml Mapper class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getXmlMapperClassName(String sBeanClassName)
	{
		return getClassName ( sBeanClassName, ConfigDefaults.DEFAULT_XML_MAPPER_CLASS_NAME );
	}

}
