package org.telosys.tools.commons.javatypes;

import org.telosys.tools.commons.JavaClassUtil;

public class JavaType {
	private String _sText = null ; // the text to print ( anything : "Boolean", "Date (sql)", .. )
	private String _sType = null ; // "java.lang.Boolean", "boolean"
	private String _sShortType = null ; // "Boolean", "boolean"
	private String _sDefaultValue = null ; // "0", "0.0", "0.0f", "false", ...
	
	/**
	 * @param text
	 * @param type
	 */
	public JavaType(String text, String type, String defaultValue) {
		super();
		_sText = text;
		_sType = type;
		_sShortType = JavaClassUtil.shortName(type);
		_sDefaultValue = defaultValue ;
	}
	
	/**
	 * Returns the text to print in the "UI view" ( ie "Boolean", "Date (sql)", ... )
	 * @return
	 */
	public String getText()
	{
		return _sText ;
	}

	/**
	 * Returns the full Java type ( ie "java.lang.Boolean", "boolean", ... )
	 * @return
	 */
	public String getType()
	{
		return _sType ;
	}

	/**
	 * Returns the short Java type ( ie "Boolean", "boolean", ... )
	 * @return
	 */
	public String getShortType()
	{
		return _sShortType ;
	}

	/**
	 * Returns the default value for this type if defined ( else null )
	 * @return
	 */
	public String getDefaultValue()
	{
		return _sDefaultValue ;
	}
}
