package org.telosys.tools.commons.jdbctypes;

import java.sql.DatabaseMetaData;

public class MetadataUtil {

	public static String getForeignKeyDeferrability(int code)
	{
		switch (code)
		{
		case DatabaseMetaData.importedKeyInitiallyDeferred : 
			return "Initially deferred";
		case DatabaseMetaData.importedKeyInitiallyImmediate : 
			return "Initially immediate";
		case DatabaseMetaData.importedKeyNotDeferrable : 
			return "Not deferrable";
		}
		return "???" ;
	}

	public static String getForeignKeyUpdateRule(int code)
	{
		return getDeleteUpdateRule(code);
	}
	public static String getForeignKeyDeleteRule(int code)
	{
		return getDeleteUpdateRule(code);
	}
	private static String getDeleteUpdateRule(int code)
	{
		switch (code)
		{
		case DatabaseMetaData.importedKeyNoAction : 
			return "No action";
		case DatabaseMetaData.importedKeyCascade : 
			return "Cascade";
		case DatabaseMetaData.importedKeySetNull : 
			return "Set null";
		case DatabaseMetaData.importedKeySetDefault : 
			return "Set default";
		case DatabaseMetaData.importedKeyRestrict : 
			return "Restrict";
		}
		return "???" ;
	}
}
